## deepin-wallpapers 1.7.11

=== debian/changelog ===
deepin-wallpapers (1.7.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Dec 2021 20:55:36 +0800

deepin-wallpapers (1.7.10-1) unstable; urgency=medium

  * update background.

 -- TagBuilder <lichenggang@uniontech.com>  Wed, 10 Mar 2021 20:32:54 +0800

deepin-wallpapers (1.7.9-1) stable; urgency=medium

  * default_background.jpg -> desktop.jpg

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 23 Dec 2020 16:58:10 +0800

deepin-wallpapers (1.7.8-1) stable; urgency=medium

  * update desktop.jpg -> default_background.jpg
  * 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 Nov 2020 09:54:18 +0800

deepin-wallpapers (1.3) stable; urgency=low

  * Autobuild Tag 1.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 14:13:20 +0000

deepin-wallpapers (1.2) unstable; urgency=medium

  * Add image blur

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 09 May 2016 09:13:05 +0800

deepin-wallpapers (1.1) unstable; urgency=medium

  * Remove default wallpaper

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 06 Apr 2016 15:30:27 +0800

deepin-wallpapers (1.0) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 29 Mar 2016 13:41:23 +0800

=== debian/rules ===
#!/usr/bin/make -f

# www.deepin.org


%:
	dh $@

## deepin-wallpapers 1.7.12

=== Makefile ===
all:
	./blur_image.sh

=== debian/changelog ===
deepin-wallpapers (1.7.12-2) unstable; urgency=medium

  * update background

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 10 May 2022 18:44:19 +0800

=== debian/control ===
Source: deepin-wallpapers
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), dde-api, imagemagick-6.q16
Standards-Version: 3.9.6
Homepage: https://www.deepin.org/
#Vcs-Git: git://anonscm.debian.org/collab-maint/deepin-wallpapers.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deepin-wallpapers.git

Package: deepin-wallpapers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-wallpapers-nonfree
Breaks: deepin-desktop-base (<< 2017.11.2)
Description: When users are ready to set their own desktop background,
 Deepin Wallpaper provides many beautiful background pictures for users to choose.
 It is part of Deepin software and DDE (Deepin Desktop Environment).

## deepin-wallpapers 1.7.16

=== Makefile ===
PICS := $(wildcard deepin/*.jpg deepin/*.jpeg deepin/*.png)

define md5sum
$(shell echo -n /usr/share/wallpapers/deepin/$(1) | md5sum | awk '{print $$1}')
endef

all: prepare $(addprefix blur/, ${PICS})

prepare: 
	@mkdir -p image-blur

blur/%: 
	/usr/lib/deepin-api/image-blur --sigma 30 $(subst blur/,,$@) image-blur/$(call md5sum,${@F}).jpg

clean:
	rm -rf image-blur

=== debian/changelog ===
deepin-wallpapers (1.7.16) unstable; urgency=medium

  * add postinst

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 26 Jun 2023 17:19:21 +0800

deepin-wallpapers (1.7.15) unstable; urgency=medium

  * remove depends deepin-wallpapers-nonfree

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 12 May 2023 11:43:47 +0800

deepin-wallpapers (1.7.14) unstable; urgency=medium

  * add depends deepin-wallpapers-nonfree.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 11 May 2023 16:38:38 +0800

deepin-wallpapers (1.7.13-3) unstable; urgency=medium

  * Non-maintainer upload.

 -- Tsic <liuhenga@uniontech.com>  Tue, 26 Jul 2022 16:53:36 +0800

=== debian/control ===
Source: deepin-wallpapers
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), dde-api
Standards-Version: 3.9.6
Homepage: https://www.deepin.org/
#Vcs-Git: git://anonscm.debian.org/collab-maint/deepin-wallpapers.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deepin-wallpapers.git

Package: deepin-wallpapers
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: deepin-desktop-base (<< 2017.11.2)
Description: dde wallpapers
 Default wallpapers for dde

## deepin-wallpapers 1.7.24

=== debian/changelog ===
deepin-wallpapers (1.7.24) unstable; urgency=medium

  * chore: add theme wallpaper

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 13:50:38 +0800

deepin-wallpapers (1.7.23) unstable; urgency=medium

  * chore: remove abc-123.jpg
  * chore: distinguish between uos 25 and deepin 25 wallpapers

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 20 Mar 2025 17:53:56 +0800

deepin-wallpapers (1.7.22) unstable; urgency=medium

  * chore: Add missing wallpapers

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Feb 2025 21:51:11 +0800

deepin-wallpapers (1.7.21) unstable; urgency=medium

  * feat: add nonfree wallpaper

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 25 Feb 2025 14:47:24 +0800

deepin-wallpapers (1.7.20) unstable; urgency=medium

  * chore: distinguish between uos and deepin wallpapers

 -- zhangkun <zhangkun2@uniontech.com>  Mon, 24 Feb 2025 11:37:53 +0800

deepin-wallpapers (1.7.19) unstable; urgency=medium

  * feat: add solid wallpaper

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 21 Feb 2025 15:54:15 +0800

deepin-wallpapers (1.7.18) unstable; urgency=medium

  * fix: modify default wallpaper

 -- Chengqi E <echengqi@uniontech.com>  Thu, 19 Dec 2024 15:13:43 +0800

deepin-wallpapers (1.7.17) unstable; urgency=medium

  * chore: add nirvana wallpapers

 -- zhangKun <zhangkun2@uniontech.com>  Fri, 13 Dec 2024 16:13:43 +0800

## deepin-wallpapers 1.7.25

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,10 @@
-PICS := $(wildcard deepin/*.jpg deepin/*.jpeg deepin/*.png)
+SYSTEMID := $(shell cat /etc/os-release | grep '^ID=' | cut -d'=' -f2)
+
+PICS := $(wildcard deepin/*.jpg deepin/*.jpeg deepin/*.png deepin-solidwallpapers/*.png)
+
+ifeq ($(USE_NONFREEPIC), 1)
+	PICS := $(wildcard nonfree/deepin-private/*.jpg nonfree/unsplash.com/*.jpg $(PICS))
+endif
 
 define md5sum
 $(shell echo -n /usr/share/wallpapers/deepin/$(1) | md5sum | awk '{print $$1}')
@@ -7,6 +13,12 @@
 all: prepare $(addprefix blur/, ${PICS})
 
 prepare: 
+	@if [ "$(SYSTEMID)" = "uos" ]; then \
+		cp -r platform/uos/* deepin/; \
+	else \
+		cp -r platform/deepin/* deepin/; \
+	fi
+
 	@mkdir -p image-blur
 
 blur/%:

=== debian/changelog ===
deepin-wallpapers (1.7.25) unstable; urgency=medium

  * chore: remove deepin wallpaper files

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 May 2025 17:36:00 +0800

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
 Package: deepin-wallpapers
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: deepin-wallpapers-nonfree
+Replaces: deepin-wallpapers-nonfree
 Breaks: deepin-desktop-base (<< 2017.11.2)
 Description: dde wallpapers
  Default wallpapers for dde

=== debian/rules ===
#!/usr/bin/make -f

# www.deepin.org

export USE_NONFREEPIC = 1


%:
	dh $@
